Subject: [BUG] GIT_AUTHOR_NAME was checked before prepare_fallback got called (ps/stash-in-c)

From: Denton Liu <[email-masked]>
Date: Wed, 6 Mar 2019 11:52:36 -0800

Hello all,

I've been on "jch" for my daily use and I noticed today that git stash
isn't working. I managed to debug it down to "ps/stash-in-c".

To reproduce on git.git, it's simply the following:

	echo // >>dir.c
	git stash

This gives me the following error:

	$ git stash
	BUG: ident.c:511: GIT_AUTHOR_NAME was checked before prepare_fallback got called
	Aborted (core dumped)

I haven't read through the branch's code so I'm not too familiar with
the changes but please let me know if you need any other information or
if there's anything I can help with.

Thanks,

Denton